Subject: [Sandbox-mailoutput] [Django development] ID list for Pseudowire And LDP-enabled Services notification: Changes to draft-ietf-pals-ethernet-cw

From: IETF Secretariat <[email-masked]>
Date: Fri, 11 May 2018 10:14:19 -0700

The attached message would have been sent, but the tracker is in development mode.
It was not sent to anybody.

Subject: ID list for Pseudowire And LDP-enabled Services notification: Changes to draft-ietf-pals-ethernet-cw
From: IETF Secretariat <[email-masked]>
To: <[email-masked]>
Date: Fri, 11 May 2018 10:14:19 -0700

Hello,

This is a notification from the ID list for Pseudowire And LDP-enabled Services.

Document: draft-ietf-pals-ethernet-cw,
https://datatracker.ietf.org/doc/draft-ietf-pals-ethernet-cw/

Change by Matthew Bocci on 2018-05-11 10:14 PDT:

draft-ietf-pals-ethernet-cw-05

Document Shepherd Write-Up

(1) What type of RFC is being requested (BCP, Proposed Standard,
Internet Standard, Informational, Experimental, or Historic)?  Why
is this the proper type of RFC?  Is this type of RFC indicated in the
title page header?

   Standards Track.
   
   This is appropriate as the draft describes the use of a protocol extension which is 
   required to avoid packet reordering on Ethernet pseudowires in certain cases, updating
   RFC4448 in the process. 

   The intended status is properly indicated.

(2) The IESG approval announcement includes a Document Announcement
Write-Up. Please provide such a Document Announcement Write-Up. Recent
examples can be found in the "Action" announcements for approved
documents. The approval announcement contains the following sections:

Technical Summary

The pseudowire (PW) encapsulation of Ethernet, as defined in RFC
   4448, specifies that the use of the control word (CW) is optional.
   In the absence of the CW an Ethernet pseudowire packet can be
   misidentified as an IP packet by a label switching router (LSR).
   This in turn may lead to the selection of the wrong equal-cost-multi-
   path (ECMP) path for the packet, leading in turn to the misordering
   of packets.  This problem has become more serious due to the
   deployment of equipment with Ethernet MAC addresses that start with
   0x4 or 0x6.  The use of the Ethernet PW CW addresses this problem.
   This document recommends the use of the Ethernet pseudowire control
   word in all but exceptional circumstances.

   This document updates RFC 4448.

Working Group Summary

   The document was developed to try to resolve observed misordering of packets on 
   Ethernet PWs which can occur when ECMP is applied and the packet aliases for
   and IPv4 or IPv6 packet. Although this problem is already well 
   understood, and a solution (the PW control word) widely implemented and deployed. However
   the CW was defined as optional in RFC4448 and so there are some cases where it is not 
   implemented or not enabled by operators. There are reports that this is becoming 
   an increasing problem with the IEEEE allocating MAC addresses starting with 0x4 or 0x6,
   and so stronger recommendations are required. 

   There are no IPR declarations on the draft . 

Document Quality
    
   I have no concerns about the quality of the document. I believe it represents 
   WG consensus, and it has been widely reviewed and discussed on the list over a 
   number of years. 
   
   The document does not specify any MIB changes or additions which would need 
   review.

Personnel

   The document shepherd is Matthew Bocci ([email-masked]).
   The responsible Area Director is Deborah Brungard ([email-masked]).

(3) Briefly describe the review of this document that was performed by
the Document Shepherd.  If this version of the document is not ready
for publication, please explain why the document is being forwarded to
the IESG.

  The document shepherd reviewed v05 of the document. I had no significant technical 
  or editorial comments. 

(4) Does the document Shepherd have any concerns about the depth or
breadth of the reviews that have been performed? 

  No concerns. The document has received adequate review. The document has 
  been developed within the WG and reviewed over a 
  period of a number of IETFs, with some in-depth discussions on both the PALS
  list and in face to face meetings. 

(5) Do portions of the document need review from a particular or from
broader perspective, e.g., security, operational complexity, AAA, DNS,
DHCP, XML, or internationalization? If so, describe the review that
took place.

   No further review required.

(6) Describe any specific concerns or issues that the Document Shepherd
has with this document that the Responsible Area Director and/or the
IESG should be aware of? For example, perhaps he or she is uncomfortable
with certain parts of the document, or has concerns whether there really
is a need for it. In any event, if the WG has discussed those issues and
has indicated that it still wishes to advance the document, detail those
concerns here.

  No specific concerns.

(7) Has each author confirmed that any and all appropriate IPR
disclosures required for full conformance with the provisions of BCP 78
and BCP 79 have already been filed. If not, explain why.

   Each author listed in the Authors Addresses section has personally indicated that
   they are not aware of any IPR that has not already been declared in accordance
   with BCP 78 and 79.

(8) Has an IPR disclosure been filed that references this document?
If so, summarize any WG discussion and conclusion regarding the IPR
disclosures.

   There are no IPR declarations on the draft.

(9) How solid is the WG consensus behind this document? Does it 
represent the strong concurrence of a few individuals, with others
being silent, or does the WG as a whole understand and agree with it? 

    I am comfortable that the document represents WG consensus and has
    been reviewed by a reasonable number of active WG participants. It received a 
    number of comments and significant discussion prior to WG last call that
    were addressed by the authors. In particular, these were related to text 
    about the impact of the proposals in the draft on the deployed base. These
    comments were resolved after live editing sessions with the proponents.

(10) Has anyone threatened an appeal or otherwise indicated extreme 
discontent? If so, please summarise the areas of conflict in separate
email messages to the Responsible Area Director. (It should be in a
separate email because this questionnaire is publicly available.) 

  None indicated.

(11) Identify any ID nits the Document Shepherd has found in this
document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts
Checklist). Boilerplate checks are not enough; this check needs to be
thorough.

      ID-Nits passes. There is one warning about pre-RFC5378 work, but 
      I believe that the draft only contains new text.  

(12) Describe how the document meets any required formal review
criteria, such as the MIB Doctor, media type, and URI type reviews.

   There are no relevant formal review criteria.

(13) Have all references within this document been identified as
either normative or informative?

  Yes. All references are explicitly identified as informative or normative.

(14) Are there normative references to documents that are not ready for
advancement or are otherwise in an unclear state? If such normative
references exist, what is the plan for their completion?

  No

(15) Are there downward normative references references (see RFC 3967)?
If so, list these downward references to support the Area Director in the
Last Call procedure.

  No. 

(16) Will publication of this document change the status of any
existing RFCs? Are those RFCs listed on the title page header, listed
in the abstract, and discussed in the introduction? If the RFCs are not
listed in the Abstract and Introduction, explain why, and point to the
part of the document where the relationship of this document to the
other RFCs is discussed. If this information is not in the document,
explain why the WG considers it unnecessary.

  This document updates RFC4448. This is listed in the abstract and the document header.
  
(17) Describe the Document Shepherd's review of the IANA considerations
section, especially with regard to its consistency with the body of the
document. Confirm that all protocol extensions that the document makes
are associated with the appropriate reservations in IANA registries.
Confirm that any referenced IANA registries have been clearly
identified. Confirm that newly created IANA registries include a
detailed specification of the initial contents for the registry, that
allocations procedures for future registrations are defined, and a
reasonable name for the new registry has been suggested (see RFC 5226).

   There are no IANA actions.

(18) List any new IANA registries that require Expert Review for future
allocations. Provide any public guidance that the IESG would find
useful in selecting the IANA Experts for these new registries.

   There are no IANA actions.

(19) Describe reviews and automated checks performed by the Document
Shepherd to validate sections of the document written in a formal
language, such as XML code, BNF rules, MIB definitions, etc.

   There are no sections containing formal language that needs reviewing.

Best regards,

        The Datatracker draft tracking service
        (for the IETF Secretariat)